Groovy Documentation

## groovy.util
[Java] Class ObjectGraphBuilder.DefaultIdentifierResolver

    java.lang.Object
      groovy.util.ObjectGraphBuilder.DefaultIdentifierResolver

All Implemented Interfaces:
  IdentifierResolver

    public static class ObjectGraphBuilder.DefaultIdentifierResolver

Default impl, always returns 'id'

Method Summary
`java.lang.String` | `getIdentifierFor(java.lang.String nodeName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getIdentifierFor

    public java.lang.String getIdentifierFor(java.lang.String nodeName)

Groovy Documentation